#ifndef HASH_HPP
#define HASH_HPP

#include <string>
#include <string_view>

auto generate_hash(const std::string_view password, std::size_t rounds) -> std::string;
auto validate_password(const std::string_view password, const std::string_view hash) -> bool;

#endif // HASH_HPP